:root {
    --shape-icon: url(../images/about-images/journey--shape.webp);
    --badge: url(../images/about-images/carti-shape.webp);
    --left-arrow: url(../images/about-images/arrow-left.webp);
    --right-arrow: url(../images/about-images/arrow-right.webp);
}

.animated--text {
    -webkit-text-stroke: 2px #ffffff;
    -webkit-text-fill-color: transparent;
    -webkit-text-stroke-color: currentColor;
    -webkit-text-stroke-width: 0.012em;
    position: relative;
    font-size: 100px;
    letter-spacing: 10px;
    display: inline-block;
}

.animated--text::before {
    position: absolute;
    content: attr(data-text);
    top: 0;
    left: 0;
    max-width: 0;
    width: 100%;
    overflow: hidden;
    white-space: nowrap;
    transition: max-width 0.8s cubic-bezier(0.22, 0.61, 0.36, 1);
    -webkit-text-fill-color: currentColor;
}

.animated--text:hover::before {
    max-width: 100%;
}

.journey-year.animate::before {
    max-width: 100%;
}

/* Page Block */

.page-block {
    background-image: url(../images/about-images/commen-intro.webp);
    background-size: cover;
    background-repeat: no-repeat;
    background-position: bottom;
    background-color: var(--theme-secondary);
    padding: 220px 0 100px;
    position: relative;
}

.banner-video {
    position: absolute;
    inset: 0;
    margin: auto;
    width: 100%;
}

.banner-video video {
    width: 100% !important;
    height: 100%;
    object-fit: cover;
}

.overlay::before {
    content: '';
    position: absolute;
    inset: 0;
    background-color: #072c3e80;
    width: 100%;
    height: 100%;
    z-index: 1;
}

/* Choose Block */

.choose-intro {
    background-image: url(../images/about-images/choose-intro.webp);
    background-size: cover;
    background-repeat: no-repeat;
    background-color: var(--theme-secondary);
}

.choose-block {
    position: relative;
    padding: 20px;
    color: var(--black-color);
    background-color: #072c3e;
    border: 1px solid var(--white-color);
    border-radius: var(--radius-30);
    overflow: hidden;
    transition: 0.4s;
    width: 100%;
}

.choose-block .choose-overlay {
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    opacity: .3;
}

.choose-content {
    z-index: 2;
    position: relative;
}

.choose-block::before {
    position: absolute;
    content: "";
    top: 0px;
    left: 0px;
    height: 100%;
    width: 100%;
    border-radius: var(--radius-30);
    background-color: var(--white-color);
    z-index: 1;
    transition: 0.4s;
}

.choose-block:hover {
    color: var(--white-color);
}

.choose-block:hover .choose-icon img {
    filter: invert();
}

.choose-block:hover::before {
    top: -100% !important;
    left: 100% !important;
}

/* Certification Block */

.certification-intro {
    background-image: url(../images/about-images/certification-intro.webp);
    background-size: cover;
    background-repeat: no-repeat;
}

.certification-wrapper {
    display: flex;
    flex-direction: column;
    gap: 16px;
}

.certification-block {
    background-color: var(--white-color);
    display: flex;
    align-items: center;
    gap: 10px;
    padding: 12px 12px;
    border-radius: 10px;
}

.certi-arrow:before {
    content: '';
    background-image: var(--left-arrow);
    display: inline-block;
    position: absolute;
    top: -80px;
    left: -20px;
    background-size: contain;
    width: 270px;
    height: 700px;
    background-repeat: no-repeat;
}

.certi-arrow::after {
    content: '';
    background-image: var(--right-arrow);
    display: inline-block;
    position: absolute;
    top: -80px;
    right: -20px;
    background-size: contain;
    width: 270px;
    height: 700px;
    background-repeat: no-repeat;
}

.certi-badge {
    position: relative;
    text-align: center;
    padding: 40px;
    width: fit-content;
    margin: auto;
    z-index: 1;
}

.certi-badge::before {
    content: '';
    background-image: var(--badge);
    display: inline-block;
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    background-size: contain;
    background-repeat: no-repeat;
    -webkit-animation: 8s linear infinite spin;
    -moz-animation: 8s linear infinite spin;
    animation: 8s linear infinite spin;
}

/* Journey Block */

.video-block {
    width: 100%;
    height: 100%;
    position: absolute;
    inset: 0;
}

.video-block video {
    width: 100% !important;
    height: 100% !important;
    object-fit: cover;
}

.journey-intro::before {
    content: '';
    background-color: #072c3e85;
    position: absolute;
    inset: 0;
    width: 100%;
    height: 100%;
    z-index: 1;
}

.journey-wrapper {
    display: grid;
    grid-template-columns: repeat(4, 1fr);
    gap: 40px 20px;
    position: relative;
}

.journey-block {
    display: flex;
    flex-direction: column;
    gap: 40px;
    color: var(--white-color);
    opacity: 0;
    transform: translateY(30px);
    transition: opacity 0.8s ease-out, transform 0.8s ease-out;
}

.journey-block.visible {
    opacity: 1;
    transform: translateY(0);
}

.journey--wrap {
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 30px;
}

.journey-year {
    font-weight: 700;
    -webkit-text-fill-color: transparent;
    -webkit-text-stroke: 2px #ffffff;
    -webkit-text-fill-color: transparent;
    -webkit-text-stroke-color: currentColor;
    -webkit-text-stroke-width: 0.012em;
    font-size: 90px;
    position: relative;
}

.journey-year::before {
    position: absolute;
    content: attr(data-text);
    top: 0;
    left: 0;
    max-width: 0;
    width: 100%;
    overflow: hidden;
    white-space: nowrap;
    transition: max-width 0.8s cubic-bezier(0.22, 0.61, 0.36, 1);
    -webkit-text-fill-color: currentColor;
}

.journey-block:hover .journey-year::before {
    max-width: 100%;
}

.journey--icon {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 120px;
    height: 120px;
    min-width: 120px;
    background: #D31900;
    border-radius: 50%;
    padding: 10px;
    outline: 2px solid var(--white-color);
    border: 5px solid #072c3e;
}

.journery-listing {
    display: flex;
    flex-direction: column;
    gap: 30px;
}

.journey-block.journey-going {
    justify-content: center;
    align-items: center;
    text-align: center;
}

.journey-going .journey-year {
    font-size: 90px;
}

/* Team Block */

.team-block {
    position: relative;
    transition: all 0.3s;
}

.team-img {
    border-radius: 12px;
    overflow: hidden;
}

.team-img img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.team-detail {
    background: #F0F0F0;
    padding: 20px;
    border-radius: 12px;
    margin: 0 20px 20px;
    z-index: 1;
    position: relative;
    top: -50px;
    transition: all 0.3s;
}

.team-block:hover .team-detail {
    top: -20px;
}

.team-intro::before {
    content: '';
    background-image: url(../images/about-images/team-intro.webp);
    background-size: 100% 70%;
    width: 100%;
    height: 100%;
    position: absolute;
    bottom: 0;
    background-repeat: no-repeat;
    background-position: bottom;
    background-color: var(--theme-secondary);
}

@media screen and (max-width: 1599px) {

    .certi-badge {
        width: 100%;
        max-width: 450px;
    }

    .certi-arrow::after,
    .certi-arrow::before {
        top: -100px;
        width: 260px;
    }
}

@media screen and (max-width: 991px) {

    .page-block {
        padding: 210px 0 180px;
    }

    .certification-wrapper {
        display: grid;
        grid-template-columns: repeat(3, 1fr);
    }

    .journey-wrapper {
        grid-template-columns: repeat(2, 1fr);
        gap: 40px 20px;
    }

    .journey-year,
    .journey-going .journey-year { 
        font-size: 60px;
    }

    .journey--icon {
        width: 90px;
        height: 90px;
        min-width: 90px;
        padding: 20px;
    }

    .certi-arrow {
        display: none;
    }

    .animated--text {
        font-size: 50px;
    }

    .animated--text::before {
        white-space: unset;
    }
}

@media screen and (max-width: 767px) {

    .certification-wrapper {
        grid-template-columns: repeat(2, 1fr);
    }
}